
public class MultithreadTest {
	static final int NUM_THREADS = 5;

	// extends Thread vs implements Runnable
	public static void main(String[] args) {
		System.out.println("MultithreadTest start");

		// Multithread extends Thread
		for (int i = 0; i < NUM_THREADS; i++) {
			int priority = (i%3) == 0 ? 1 : i%3*5;
			new Multithread("Thread" + i + " : ", 10, priority).start();
		}
		//new Multithread("Thread1 : ", 10, Thread.MIN_PRIORITY).start();
		//new Multithread("Thread2 : ", 10, Thread.NORM_PRIORITY).start();
		//new Multithread("Thread3 : ", 10, Thread.MAX_PRIORITY).start();		
		
		// MultithreadRunnable implements Runnable
		for (int i = 0; i < NUM_THREADS; i++) {
			new Thread(new MultithreadRunnable("ThreadRunnable" + i + " : ", 100)).start();
		}
		//new Thread(new MultithreadRunnable("ThreadRunnable1 : ", 100)).start();
		//new Thread(new MultithreadRunnable("ThreadRunnable2 : ", 100)).start();
		//new Thread(new MultithreadRunnable("ThreadRunnable3 : ", 100)).start();
		
		System.out.println("MultithreadTest end");
	}
}